Project

General

Profile

Tâche #20090

Scénario #20100: Assistance aux utilisateurs (16-18)

Intégrer le dictionnaire profilcache

Added by Renaud Dussol over 4 years ago. Updated over 4 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
04/05/2017
Due date:
% Done:

100%

Estimated time:
2.00 h
Spent time:
Remaining (hours):
0.0

Description

Le dictionnaire profilcache n'est pas dans Zéphir
La console zepéhir montre un avertissement quand des paquets utilisant ce dico ont été mis à jour
(Dictionnaire non pris en compte / Nouveau dictionnaire détecté)

zephir.png View (375 KB) Joël Cuissinat, 05/05/2017 09:55 AM

History

#1 Updated by Joël Cuissinat over 4 years ago

  • Project changed from Zéphir to zephir-parc
  • Estimated time set to 2.00 h
  • Parent task set to #20100

#2 Updated by Joël Cuissinat over 4 years ago

  • Status changed from Nouveau to En cours
  • Assigned To set to Joël Cuissinat
  • Remaining (hours) set to 1.5

Bonjour,
Avec quelles versions de Zéphir et du paquet zephir-dicos et quelles versions du module "client" et du paquet eole-profilcache constatez-vous ce problème ?
Dans Zéphir, le dictionnaire a été remis à niveau lors de la mise à jour diffusée le 16/02/2017 (#18937) alors que le projet n'a pas bougé depuis septembre dernier.
Cordialement,

#3 Updated by Joël Cuissinat over 4 years ago

  • % Done changed from 0 to 30

Relance par message électronique.

#4 Updated by Renaud Dussol over 4 years ago

Bonjour
pardon en effet je n'avais pas vu le message noyé parmi mes mails au retour de vacances

Alors a priori nous serions à la version 2.5.2-37 sur le serveur Zéphir (ce n'est pas moi qui gère les MAJ)

Sur la page d'admin :
Version actuelle des paquets Zéphir : zephir-parc - 2.5.2-37

#5 Updated by Renaud Dussol over 4 years ago

Par contre sur la même page, j'ai aussi :

Mise à jour automatique des clients
(Erreur d'accès à http://eoleng.ac-dijon.fr//eoleng/eole-2.0-security/)
Version de zephir-client présente : pas de paquet disponible

pas normal ça ?

#6 Updated by Joël Cuissinat over 4 years ago

Renaud Dussol a écrit :

Bonjour
pardon en effet je n'avais pas vu le message noyé parmi mes mails au retour de vacances

Alors a priori nous serions à la version 2.5.2-37 sur le serveur Zéphir (ce n'est pas moi qui gère les MAJ)

Sur la page d'admin :
Version actuelle des paquets Zéphir : zephir-parc - 2.5.2-37

Je viens de déployer un Zéphir 2.5.2.2 avec les dernières mises à jour.
Mes paquets "zephir" sont également en version 2.5.2-37 :

root@zephir:~# dpkg -l zephir-dictionnaires  | grep ^ii
ii  zephir-dictionnaires               2.5.2-37                                   all          Eole standard modules dictionnaries

Et il contient bien la référence au paquet/dictionnaire pour EOLE 2.5.2 :
root@zephir:~# dpkg -L zephir-dictionnaires  | grep profilcache
/usr/share/zephir/dictionnaires/2.5.2/eole/eole-profilcache
/usr/share/zephir/dictionnaires/2.5.2/eole/eole-profilcache/88_profilcache.xml

Dans l'application web Zéphir, si j'édite un serveur Scribe 2.5.2, j'ai bien le paquet eole-profilcache dans la liste déroulante des "Dictionnaires additionnels" proposés au niveau des "fichiers personnalisés" (lien "voir les fichiers personnalisés" depuis la page d'état du serveur - cf. copie d'écran).

#7 Updated by Joël Cuissinat over 4 years ago

  • % Done changed from 30 to 80
  • Remaining (hours) changed from 1.5 to 0.5

#8 Updated by Renaud Dussol over 4 years ago

D'accord, comme je ne maitrise pas encore bien zephir, cela veut dire qu'il faudrait que je rajoute manuellement à ma machine ce dictionnaire ?
(le paquet profilcache a été tiré par le reconfigure )

#9 Updated by Joël Cuissinat over 4 years ago

Renaud Dussol a écrit :

D'accord, comme je ne maitrise pas encore bien zephir, cela veut dire qu'il faudrait que je rajoute manuellement à ma machine ce dictionnaire ?
(le paquet profilcache a été tiré par le reconfigure )

Pour être précis, le paquet eole-profilcache est mis en dépendance du paquet eole-posh-profil qui est lui même requis par la plupart des applications Envole.

Ces paquets n'étant pas pré-installés sur un Scribe 2.5.2, il est nécessaire de les indiquer explicitement dans Zéphir (possibilité de le faire dans une variante). La gestion des dépendances entre paquets n'étant pas géré dans Zéphir, il faut bien déclarer les paquets installés indirectement dans Zéphir.

#10 Updated by Renaud Dussol over 4 years ago

Ok j'ai compris, je vais le rajouter dans la variante !
La demande peut être cloturée
Merci et désolé du dérangement

#11 Updated by Renaud Dussol over 4 years ago

Juste quand même un bémol, en fait je ne vois pas pourquoi eole-profilcache est requis par posh-profil. J'alerterai A. Fornerot sur ce point. eole-profilcache s'installe sur un eole-sso, pas sur un envole, donc il est inutile de le mettre en dépendance de posh-profil...

#12 Updated by Joël Cuissinat over 4 years ago

  • Status changed from En cours to Résolu
  • % Done changed from 80 to 100

OK merci pour cet échange constructif :)

#13 Updated by Joël Cuissinat over 4 years ago

  • Project changed from zephir-parc to Distribution EOLE
  • Status changed from Résolu to Fermé
  • Remaining (hours) changed from 0.5 to 0.0

Also available in: Atom PDF